<?xml version="1.0"?>
<!DOCTYPE MACROS SYSTEM "macros.dtd">
 
<MACROS> 
 
<MACRO name="Insert C02" key="Ctrl+Alt+2" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c02") Then
	Selection.InsertWithTemplate ("c02")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+2")
End If
]]></MACRO> 
 
<MACRO name="Insert C01" key="Ctrl+Alt+1" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c01") Then
	Selection.InsertWithTemplate ("c01")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+1")
End If
]]></MACRO> 
 
<MACRO name="Insert C03" key="Ctrl+Alt+3" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c03") Then
	Selection.InsertWithTemplate ("c03")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+3")
End If
]]></MACRO> 
 
<MACRO name="Insert C04" key="Ctrl+Alt+4" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c04") Then
	Selection.InsertWithTemplate ("c04")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+4")
End If
]]></MACRO> 
 
<MACRO name="Insert C05" key="Ctrl+Alt+5" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c05") Then
	Selection.InsertWithTemplate ("c05")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+5")
End If
]]></MACRO> 
 
<MACRO name="Insert C06" key="Ctrl+Alt+6" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c06") Then
	Selection.InsertWithTemplate ("c06")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+6")
End If
]]></MACRO> 
 
<MACRO name="Insert C07" key="Ctrl+Alt+7" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c07") Then
	Selection.InsertWithTemplate ("c07")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+7")
End If
]]></MACRO> 
 
<MACRO name="Insert C08" key="Ctrl+Alt+8" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
If Selection.CanInsert ("c08") Then
	Selection.InsertWithTemplate ("c08")
Else 
	Selection.MoveRight ("0")
	Application.RunKeyedMacro ("Alt+8")
End If
]]></MACRO> 
 
 
 




<MACRO name="On_Before_Document_Preview" hide="true" key="" lang="JScript">
<![CDATA[
  // This macro gets called when the user has selected Page Preview view,
  // or Preview in Browser.  The BrowserURL property is the URL that will 
  // be passed to the browser.  On entry, it contains the URL of a temporary
  // copy of the XML file being edited.  We apply an XSLT stylesheet to create
  // an HTML file and set BrowserURL to be the path to this file.

  // If the doc is not saved, set the temp file path to "Document".
  var strTempFilePath; 
  if ( ActiveDocument.Path ) {
    strTempFilePath = ActiveDocument.Path;
  } else {
    strTempFilePath = Application.Path + "\\Document";
  }

  // Create the document property for PreviewTempFile.
  var ndlProperties = ActiveDocument.CustomDocumentProperties;
  var ndProperty    = ndlProperties.item( "PreviewTempFile" );

  // Reuse an existing temp file, or create a new one.
  if ( ndProperty ) {
    strTempName = ndProperty.value;
  } else {
    strTempName = Application.UniqueFileName( strTempFilePath, "XM", "htm" );
    ndlProperties.Add ( "PreviewTempFile", strTempName );
  }
 
  // Construct path to XML document to be previewed from supplied URL
  var xmlPath = Application.URLtoPath(ActiveDocument.BrowserURL);
  
  // Path to XSLT stylesheet is hard coded
  var xslPath = Application.Path + "\\Display\\eadcbs2.xsl";
  
  // HTML output path is the temp file.
  var htmPath = strTempName;
  
  // Apply XSLT stylesheet
  var xt = new ActiveXObject("XT.Application");
  xt.transform( xmlPath, xslPath, htmPath );
  
  // Change the URL to be sent to the browser to the HTML output file
  ActiveDocument.BrowserURL = htmPath;
]]>
</MACRO> 


<MACRO name="Insert Unitid" key="Ctrl+Alt+U" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.InsertWithTemplate "unitid"
]]></MACRO>
<MACRO name="Insert Chronology Item" key="Ctrl+Alt+C" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.InsertWithTemplate "chronitem"
Selection.MoveRight 
Selection.InsertWithTemplate "event"
]]></MACRO>
<MACRO name="Insert Scope and Content" key="Ctrl+Alt+S" lang="VBScript"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.InsertWithTemplate "scopecontent"
]]></MACRO>
</MACROS>